SXLS(1)

NAME
sxls - list available volumes and their contents

SYNOPSIS
sxls [OPTIONS]... sx://[profile@]cluster[/volume[/path]]...

DESCRIPTION
List information about the volumes available in the cluster (when called without a volume name) or contents of a particular volume.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-r, --recursive
    Recursively list entire directories

-l, --long-format
    Use a long listing format. This provides additional information about volumes (such as the replica number, active filter, current usage or the size limit) and files (modification time and size).

-H, --human-readable
    Convert all sizes to an easily readable format

-D, --debug
    Enable debug messages

-v, --verbose
    Enable verbose errors

--print0
    Separate file names with \0 instead of \n

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-f, --filter-dir=PATH
    Path to the SX filter directory (default: @SX_FILTER_DIR@)

EXAMPLES
To list all volumes, which you can access on 'cluster' run:
sxls -l sx://cluster
To recursively list the contents of the volume 'data' run:
sxls -r sx://cluster/data

SEE ALSO
sxcp(1), sxmv(1), sxcat(1), sxrm(1), sxrev(1), sxinit(1)